<!DOCTYPE html>
<html lang="en">
<head>
    <% include ../commonHeadElements.html %>
</head>
<body>
<div>
    <% include ../menu.html %>
    <div id="dashboardViewStack">
        <div id="loading" class="component-loading hide"></div>
        <div class="content-container">

            <div class="page-header">
                <h1>Billing</h1>
            </div>
            <div class="headline headline-md">
                <h2>Papers to be billed</h2>
            </div>

            <table class="table table-bordered table-colored-header">
                <thead>
                <tr class="text-center">
                    <th>Title</th>
                    <th>Creation Date</th>
                    <th>Time (Number of days)</th>
                    <th>Purpose</th>
                    <th>Number of pages</th>
                    <th>Amount to be paid</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                <% for(var i in paperList) { %>
                <tr data-paper-id="<%= paperList[i].id %>">
                    <td><%= paperList[i].title %></td>
                    <td><%= utils.formatDate(paperList[i].creation_timestamp) %></td>
                    <td><%= paperList[i].num_of_days %></td>
                    <td><%= paperPurposes[paperList[i].purpose_id] %></td>
                    <td><%= paperList[i].num_of_pages %></td>
                    <td><%= paperList[i].num_of_pages * pricePerPage %></td>
                    <td>
                        <a href="javascript:void(0);" id="payBill" class="payBill">Pay Bill</a>
                    </td>
                </tr>
                <% } %>
                </tbody>
            </table>
        </div>
    </div>
    <% include ../commonFooterScriptElements.html %>
</div>
<script>
    $(".payBill").click(function() {
        var res = confirm("Are you sure you want to complete the payment. Clicking OK will complete the payment");
        if(res) {
            var paperId = $(this).parents("tr").attr("data-paper-id");
            var $loadingContainer = $("#loading");
            $loadingContainer.removeClass("hide");
            $.ajax({
                url: "/api/paper/payBill",
                method: 'POST',
                data: {
                    paperId: paperId
                },
                success: function() {
                    GlobalUtils.showAlert("Payment Successful", "success");
                    $loadingContainer.addClass("hide");
                    window.location.href = "/app/user/managepapers";
                },
                error: function() {
                    GlobalUtils.showAlert("Something went wrong", "danger");
                    $loadingContainer.addClass("hide");
                }
            })
        }
    });
</script>
</body>
</html>
